package com.fr.plugin.xx.zyjn;

import com.fr.db.fun.impl.AbstractDBAccessProvider;
import com.fr.plugin.xx.zyjn.dao.SyncOrgDao;
import com.fr.plugin.xx.zyjn.dao.SyncUserDao;
import com.fr.plugin.xx.zyjn.entity.SyncOrgEntity;
import com.fr.plugin.xx.zyjn.entity.SyncUserEntity;
import com.fr.stable.db.accessor.DBAccessor;
import com.fr.stable.db.dao.BaseDAO;
import com.fr.stable.db.dao.DAOProvider;

/**
 * @Author xx
 * @Date 2022/10/12
 * @Description
 **/
public class SyncDBAccessProvider extends AbstractDBAccessProvider {

    private static DBAccessor dbAccessor = null;

    public static DBAccessor getDbAccessor() {
        return dbAccessor;
    }

    @Override
    public DAOProvider<?>[] registerDAO() {
        return new DAOProvider[]{
                new DAOProvider<SyncUserEntity>() {
                    @Override
                    public Class<SyncUserEntity> getEntityClass() {
                        return SyncUserEntity.class;
                    }

                    @Override
                    public Class<? extends BaseDAO<SyncUserEntity>> getDAOClass() {
                        return SyncUserDao.class;
                    }
                },
                new DAOProvider<SyncOrgEntity>() {
                    @Override
                    public Class<SyncOrgEntity> getEntityClass() {
                        return SyncOrgEntity.class;
                    }

                    @Override
                    public Class<? extends BaseDAO<SyncOrgEntity>> getDAOClass() {
                        return SyncOrgDao.class;
                    }
                }
        };
    }

    @Override
    public void onDBAvailable(DBAccessor dbAccessor) {
        SyncDBAccessProvider.dbAccessor = dbAccessor;
    }
}