package com.fr.plugin.xx.zyjn.entity;

import com.fr.json.JSONObject;
import com.fr.stable.StringUtils;
import com.fr.stable.db.entity.BaseEntity;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

/**
 * @Author xx
 * @Date 2022/10/12
 * @Description
 **/
@Entity
@Table(name = "plugin_fine_sync_user")
public class SyncUserEntity extends BaseEntity {

    @Column(name = "orgSn")
    private String orgSn;

    @Column(name = "name")
    private String name;

    @Column(name = "sex")
    private Boolean sex;

    @Column(name = "status")
    private Boolean status;

    @Column(name = "telephone")
    private String telephone;

    @Column(name = "email")
    private String email;

    @Column(name = "position")
    private String position;

    @Column(name = "joinDate")
    private String joinDate;

    @Column(name = "loginName")
    private String loginName;

    @Column(name = "password")
    private String password;

    public SyncUserEntity() {

    }

    public SyncUserEntity(JSONObject object) {
        this.setId(object.getString("sn"));
        Boolean male = null;
        if (object.has("sex") && StringUtils.isNotBlank(object.getString("sex"))) {
            if (object.getInt("sex") != 0) {
                male = object.getInt("sex") == 1 ? true : false;
            }
        }
        this.setSex(male);
        this.setLoginName(object.getString("loginName"));
        this.setName(object.getString("name"));
        this.setEmail(object.getString("email"));
        this.setTelephone(object.getString("telephone"));
        this.setStatus(object.getInt("status") == 1);
        this.setOrgSn(object.getString("orgSn"));
        this.setPosition(object.getString("position"));
        this.setJoinDate(object.getString("joinDate"));
        this.setPassword(object.getString("password"));
    }


    public String getOrgSn() {
        return orgSn;
    }

    public void setOrgSn(String orgSn) {
        this.orgSn = orgSn;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean getSex() {
        return sex;
    }

    public void setSex(Boolean sex) {
        this.sex = sex;
    }

    public Boolean getStatus() {
        return status;
    }

    public void setStatus(Boolean status) {
        this.status = status;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getJoinDate() {
        return joinDate;
    }

    public void setJoinDate(String joinDate) {
        this.joinDate = joinDate;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
}
