package com.fr.plugin.xx.zyjn.sso;

import com.fr.decision.fun.impl.AbstractLogInOutEventProvider;
import com.fr.decision.webservice.login.LogInOutResultInfo;
import com.fr.plugin.xx.zyjn.conf.GxkgSsoConfig;
import com.fr.plugin.xx.zyjn.utils.LogUtils;
import com.fr.plugin.transform.FunctionRecorder;
import com.fr.stable.StringUtils;

import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;

/**
 * @author xx
 * @date 2021/11/04
 */
@FunctionRecorder
public class Logout extends AbstractLogInOutEventProvider {

    @Override
    public void loginAction(LogInOutResultInfo result) {
    }

    @Override
    public String logoutAction(LogInOutResultInfo result) {
        GxkgSsoConfig config = GxkgSsoConfig.getInstance();
        if (StringUtils.isBlank(config.getHost())) {
            return StringUtils.EMPTY;
        }
        String temp = "%s?redirectToUrl=%s";
        try {
            return String.format(temp, config.getLogoutUrl(), URLEncoder.encode(config.getRedirect(),"UTF-8"));
        } catch (UnsupportedEncodingException e) {
            LogUtils.error(e.getMessage(),e);
        }
        return StringUtils.EMPTY;
    }
}